#!/bin/bash

mvn clean package

cd target
tput rmam
echo "============================================================================================================================="
echo "==== Run app unisng fat JAR ================================================================================================="
echo "============================================================================================================================="
java -jar java2-lab01-v2-1.0-SNAPSHOT-jar-with-dependencies.jar -demo
java -jar java2-lab01-v2-1.0-SNAPSHOT-jar-with-dependencies.jar -fonts
java -jar java2-lab01-v2-1.0-SNAPSHOT-jar-with-dependencies.jar
java -jar java2-lab01-v2-1.0-SNAPSHOT-jar-with-dependencies.jar -text "Hi, Java DEELOPER!"
java -jar java2-lab01-v2-1.0-SNAPSHOT-jar-with-dependencies.jar -help
java -jar java2-lab01-v2-1.0-SNAPSHOT-jar-with-dependencies.jar -font "Pagga" -text "Font Pagga with FAT JAR" 
java -jar java2-lab01-v2-1.0-SNAPSHOT-jar-with-dependencies.jar -cli 

echo "============================================================================================================================="
echo "==== Run app unisng JAR with LIBS ==========================================================================================="
echo "============================================================================================================================="
java -jar java2-lab01-v2-1.0-SNAPSHOT.jar
java -jar java2-lab01-v2-1.0-SNAPSHOT.jar -cli

echo "============================================================================================================================="
echo "==== Run app unisng JAR with LIBS using Java Modules ========================================================================"
echo "============================================================================================================================="
java --module-path java2-lab01-v2-1.0-SNAPSHOT.jar:libs -m cz.vsb.fei/cz.vsb.fei.App -font "Pagga" -text "Hi, Java DEELOPER!"
java --module-path java2-lab01-v2-1.0-SNAPSHOT.jar:libs -m cz.vsb.fei/cz.vsb.fei.App -cli

echo "============================================================================================================================="
echo "==== Run app unisng JLink ==================================================================================================="
echo "============================================================================================================================="
echo "Expanding JLink ..."
unzip -qod jlink java2-lab01-v2-1.0-SNAPSHOT-jlink.zip
echo "                ... JLink expanded"

jlink/bin/java -m cz.vsb.fei/cz.vsb.fei.App -font "Pagga" -text "Hi, Java DEELOPER!"
jlink/bin/java -m cz.vsb.fei/cz.vsb.fei.App -cli

echo "Removing expanded Jlink"
rm -Rf jlink

tput smam
cd ..